Subject: Re: Multicast and hardware checksum

From: Baruch Even <[email-masked]>
Date: Fri, 08 Jun 2007 14:02:27 +0300

Herbert Xu wrote:
> Baruch Even <[email-masked]> wrote:
>> I have a machine on which I have an applications that sends multicast 
>> through eth interface with hardware tx checksum enabled. On the same 
>> machine I have mrouted running that routes the multicast traffic to a 
>> set of ppp interfaces. The packets that are received by the client have 
>> their checksum fixed on some number which is incorrect. If I disable tx 
>> checksum on the eth device the packets arrive with the proper checksum.
> 
> Where is the client? On the same machine or behind a PPP link?

The clients are behind the ppp links.

As far as IGMP and multicast handling everything works, the packets are 
even forwarded over the ppp links but they arrive to the client with a 
bad checksum. I don't have the trace in front of me but I believe it was 
the UDP checksum that failed.

Baruch